
import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';
import 'package:meta/meta.dart';
import 'package:http/http.dart' as Http;

class TimelineUploadPicture {
//  File image;
  ByteData byteData;
  String name;

  TimelineUploadPicture({
    @required this.byteData,
    @required this.name,
  });

  Http.MultipartFile toMultipartFile() {
    return Http.MultipartFile.fromBytes('image', byteData.buffer.asUint8List(), filename: name);
  }

}